Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/build-support/gcc11/c89
diff options
context:
space:
mode:
Diffstat (limited to 'build-support/gcc11/c89')
-rw-r--r--build-support/gcc11/c8910
1 files changed, 10 insertions, 0 deletions
diff --git a/build-support/gcc11/c89 b/build-support/gcc11/c89
new file mode 100644
index 00000000..35486ea8
--- /dev/null
+++ b/build-support/gcc11/c89
@@ -0,0 +1,10 @@
+#!/bin/sh
+fl="-std=c89"
+for opt; do
+ case "$opt" in
+ -ansi|-std=c89|-std=iso9899:1990) fl="";;
+ -std=*) echo "`basename $0` called with non ANSI/ISO C option $opt" >&2
+ exit 1;;
+ esac
+done
+exec gcc $fl ${1+"$@"}